Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.tools.schemaframework
Class TypeTableDefinition

`java.lang.Object
oracle.toplink.tools.schemaframework.DatabaseObjectDefinition
oracle.toplink.tools.schemaframework.TableDefinition
oracle.toplink.tools.schemaframework.TypeTableDefinition`

All Implemented Interfaces:
  java.lang.Cloneable, java.io.Serializable

public class TypeTableDefinition
extends TableDefinition

Purpose: Allow for tabels of Oracle 8 object-relational user defined type to be created.

See Also:
  Serialized Form

Field Summary

Fields inherited from class oracle.toplink.tools.schemaframework.DatabaseObjectDefinition
`name, qualifier`

Constructor Summary
`TypeTableDefinition()`

Method Summary
`java.lang.String` | `getAdditonal()` PUBLIC: The name of the type that this table is of.
`java.lang.String` | `getTypeName()` PUBLIC: The name of the type that this table is of.
`void` | `setAdditional(java.lang.String additional)` PUBLIC: The name of the type that this table is of.
`void` | `setTypeName(java.lang.String typeName)` PUBLIC: The name of the type that this table is of.

Methods inherited from class oracle.toplink.tools.schemaframework.TableDefinition
`addField, addField, addField, addField, addField, addForeignKeyConstraint, addForeignKeyConstraint, addIdentityField, addIdentityField, addPrimaryKeyField, addPrimaryKeyField, clone, getFields, getForeignKeys, getPrimaryKeyFieldNames, setFields, setForeignKeys`

Methods inherited from class oracle.toplink.tools.schemaframework.DatabaseObjectDefinition
`getName, getQualifier, setName, setQualifier, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TypeTableDefinition

    public TypeTableDefinition()

Method Detail

### getAdditonal

    public java.lang.String getAdditonal()

  PUBLIC: The name of the type that this table is of.

### getTypeName

    public java.lang.String getTypeName()

  PUBLIC: The name of the type that this table is of.

### setAdditional

    public void setAdditional(java.lang.String additional)

  PUBLIC: The name of the type that this table is of.

### setTypeName

    public void setTypeName(java.lang.String typeName)

  PUBLIC: The name of the type that this table is of.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD